import Book from "../models/Book.js";
import {
	getTimeDesc
} from "../utils/timeUtil";

export default class BookshelfBookItem extends Book {
	constructor(param) {
		super(param || {})
		const {
			lastReadTime
		} = param || {}
		this.lastReadTime = lastReadTime || "";
		this.lastReadTimeDesc = lastReadTime ? getTimeDesc(lastReadTime) : "";
	}
}